AbstractGrailsView (Grails 3.3.2)
Date: 2017-11-24

Package: org.grails.web.servlet.view

## [Java] Class AbstractGrailsView

- org.grails.web.servlet.view.AbstractGrailsView

- A view applied to a Grails application that ensures an appropriate web request is bound

  Authors:
    Lari Hotari
  Since:
    2.4

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.web.servlet.view.AbstractUrlBasedView` | `DEFAULT_CONTENT_TYPE, RESPONSE_STATUS_ATTRIBUTE, PATH_VARIABLES, SELECTED_CONTENT_TYPE`
    `class org.springframework.web.servlet.view.AbstractView` | `DEFAULT_CONTENT_TYPE, RESPONSE_STATUS_ATTRIBUTE, PATH_VARIABLES, SELECTED_CONTENT_TYPE`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected GrailsWebRequest` | `createGrailsWebRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)`
    `` | `groovy.text.Template` | `getTemplate()`
    `` | `protected void` | `renderMergedOutputModel(java.util.Map<java.lang.String, java.lang.Object> model, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Delegates to renderMergedOutputModel(..)
    `` | `protected void` | `renderTemplate(java.util.Map<java.lang.String, java.lang.Object> model, GrailsWebRequest webRequest, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Renders a page with the specified TemplateEngine, mode and response.
    `` | `void` | `rethrowRenderException(java.lang.Throwable ex, java.lang.String message)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.servlet.view.AbstractUrlBasedView` | `org.springframework.web.servlet.view.AbstractUrlBasedView#checkResource(java.util.Locale), org.springframework.web.servlet.view.AbstractUrlBasedView#setUrl(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#getUrl(), org.springframework.web.servlet.view.AbstractUrlBasedView#afterPropertiesSet(), org.springframework.web.servlet.view.AbstractUrlBasedView#toString(), org.springframework.web.servlet.view.AbstractUrlBasedView#getContentType(), org.springframework.web.servlet.view.AbstractUrlBasedView#setContentType(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#getBeanName(), org.springframework.web.servlet.view.AbstractUrlBasedView#render(java.util.Map, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse), org.springframework.web.servlet.view.AbstractUrlBasedView#setBeanName(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#setRequestContextAttribute(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#getRequestContextAttribute(), org.springframework.web.servlet.view.AbstractUrlBasedView#setAttributes(java.util.Properties), org.springframework.web.servlet.view.AbstractUrlBasedView#setAttributesMap(java.util.Map), org.springframework.web.servlet.view.AbstractUrlBasedView#getAttributesMap(), org.springframework.web.servlet.view.AbstractUrlBasedView#addStaticAttribute(java.lang.String, java.lang.Object), org.springframework.web.servlet.view.AbstractUrlBasedView#getStaticAttributes(), org.springframework.web.servlet.view.AbstractUrlBasedView#setExposePathVariables(boolean), org.springframework.web.servlet.view.AbstractUrlBasedView#isExposePathVariables(), org.springframework.web.servlet.view.AbstractUrlBasedView#setExposeContextBeansAsAttributes(boolean), org.springframework.web.servlet.view.AbstractUrlBasedView#setExposedContextBeanNames([Ljava.lang.String;), org.springframework.web.servlet.view.AbstractUrlBasedView#setAttributesCSV(java.lang.String), org.springframework.web.servlet.view.AbstractUrlBasedView#setServletContext(javax.servlet.ServletContext), org.springframework.web.servlet.view.AbstractUrlBasedView#getApplicationContext(), org.springframework.web.servlet.view.AbstractUrlBasedView#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.web.servlet.view.AbstractUrlBasedView#wait(long, int), org.springframework.web.servlet.view.AbstractUrlBasedView#wait(long), org.springframework.web.servlet.view.AbstractUrlBasedView#wait(), org.springframework.web.servlet.view.AbstractUrlBasedView#equals(java.lang.Object), org.springframework.web.servlet.view.AbstractUrlBasedView#hashCode(), org.springframework.web.servlet.view.AbstractUrlBasedView#getClass(), org.springframework.web.servlet.view.AbstractUrlBasedView#notify(), org.springframework.web.servlet.view.AbstractUrlBasedView#notifyAll()`
    `class org.springframework.web.servlet.view.AbstractView` | `org.springframework.web.servlet.view.AbstractView#getContentType(), org.springframework.web.servlet.view.AbstractView#setContentType(java.lang.String), org.springframework.web.servlet.view.AbstractView#getBeanName(), org.springframework.web.servlet.view.AbstractView#render(java.util.Map, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse), org.springframework.web.servlet.view.AbstractView#setBeanName(java.lang.String), org.springframework.web.servlet.view.AbstractView#setRequestContextAttribute(java.lang.String), org.springframework.web.servlet.view.AbstractView#getRequestContextAttribute(), org.springframework.web.servlet.view.AbstractView#setAttributes(java.util.Properties), org.springframework.web.servlet.view.AbstractView#setAttributesMap(java.util.Map), org.springframework.web.servlet.view.AbstractView#getAttributesMap(), org.springframework.web.servlet.view.AbstractView#addStaticAttribute(java.lang.String, java.lang.Object), org.springframework.web.servlet.view.AbstractView#getStaticAttributes(), org.springframework.web.servlet.view.AbstractView#setExposePathVariables(boolean), org.springframework.web.servlet.view.AbstractView#isExposePathVariables(), org.springframework.web.servlet.view.AbstractView#setExposeContextBeansAsAttributes(boolean), org.springframework.web.servlet.view.AbstractView#setExposedContextBeanNames([Ljava.lang.String;), org.springframework.web.servlet.view.AbstractView#setAttributesCSV(java.lang.String), org.springframework.web.servlet.view.AbstractView#toString(), org.springframework.web.servlet.view.AbstractView#setServletContext(javax.servlet.ServletContext), org.springframework.web.servlet.view.AbstractView#getApplicationContext(), org.springframework.web.servlet.view.AbstractView#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.web.servlet.view.AbstractView#wait(long, int), org.springframework.web.servlet.view.AbstractView#wait(long), org.springframework.web.servlet.view.AbstractView#wait(), org.springframework.web.servlet.view.AbstractView#equals(java.lang.Object), org.springframework.web.servlet.view.AbstractView#hashCode(), org.springframework.web.servlet.view.AbstractView#getClass(), org.springframework.web.servlet.view.AbstractView#notify(), org.springframework.web.servlet.view.AbstractView#notifyAll()`

- - ### Method Detail

    - #### protected GrailsWebRequest createGrailsWebRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)

    - #### public groovy.text.Template getTemplate()

    - #### @java.lang.Override protected final void renderMergedOutputModel(java.util.Map<java.lang.String, java.lang.Object> model, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

      Delegates to renderMergedOutputModel(..)

      throws:
        Exception When an error occurs rendering the view
      See Also:
        renderMergedOutputModel(java.util.Map, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
      Parameters:
        `model` - The view model
        `request` - The HttpServletRequest
        `response` - The HttpServletResponse

    - #### protected void renderTemplate(java.util.Map<java.lang.String, java.lang.Object> model, GrailsWebRequest webRequest, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

      Renders a page with the specified TemplateEngine, mode and response.

      throws:
        java.io.IOException Thrown when an error occurs writing the response
      Parameters:
        `model` - The model to use
        `request` - The HttpServletRequest
        `response` - The HttpServletResponse instance
        `engine` - The TemplateEngine to use

    - #### public void rethrowRenderException(java.lang.Throwable ex, java.lang.String message)